package com.yunzhi.shigongli.controller;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.yunzhi.shigongli.common.BaseController;
import com.yunzhi.shigongli.common.ResponseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import io.swagger.annotations.ApiParam;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RequestParam;
import com.yunzhi.shigongli.service.ISysUserService;
import com.yunzhi.shigongli.entity.SysUser;
import org.springframework.web.bind.annotation.RestController;

import java.util.HashMap;
import java.util.Map;

/**
 * <p>
    * 用户 前端控制器
    * </p>
 *
 * @author yansen
 * @since 2021-08-17
 */

@Api(tags = "用户")
@RestController
@RequestMapping("/")
public class SysUserController extends BaseController {

    private final Logger logger = LoggerFactory.getLogger(SysUserController.class);

    @Autowired
    public ISysUserService iSysUserService;


    /**
     * 当前用户
     */
    @RequestMapping(value="/admin/currentUser",method= RequestMethod.GET)
    @ApiOperation(value="当前用户", notes = "详情", httpMethod = "GET", response = ResponseBean.class)
    public ResponseBean currentUser() throws Exception{
        SysUser sysUser = getCurrentUser();

        Map<String, Object> result = new HashMap<String, Object>() {{
            put("user", sysUser);
        }};

        return ResponseBean.success(result);
    }
}
