package com.yunzhi.shigongli.controller;

import com.github.binarywang.wxpay.bean.notify.WxPayNotifyResponse;
import com.github.binarywang.wxpay.bean.notify.WxPayOrderNotifyResult;
import com.github.binarywang.wxpay.bean.notify.WxPayRefundNotifyResult;
import com.github.binarywang.wxpay.service.WxPayService;
import com.yunzhi.shigongli.common.BaseController;
import com.yunzhi.shigongli.common.Constants;
import com.yunzhi.shigongli.common.WxUtils;
import com.yunzhi.shigongli.service.ITaOrderPayService;
import io.swagger.annotations.Api;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.ResponseBody;
import org.springframework.web.bind.annotation.RestController;

@Api(tags = "微信小程序")
@RestController
@RequestMapping("/wxpay")
public class WxPayController  extends BaseController {

    @Autowired
    WxUtils wxUtils;

    @Autowired
    ITaOrderPayService orderPayService;

    @ResponseBody
    @RequestMapping("/notify/order")
    public String payNotify(@RequestBody String xmlData) throws Exception {
        WxPayService payService = wxUtils.getPayService();
        final WxPayOrderNotifyResult result = payService.parseOrderNotifyResult(xmlData);

        orderPayService.notifyOrder(result);

        return WxPayNotifyResponse.success("成功");
    }

    @ResponseBody
    @RequestMapping("/notify/refund")
    public String refundNotify(@RequestBody String xmlData) throws Exception {
        WxPayService payService = wxUtils.getPayService();
        final WxPayRefundNotifyResult result = payService.parseRefundNotifyResult(xmlData);

        orderPayService.refundNotifyOrder(result);

        return WxPayNotifyResponse.success("成功");
    }

}
