package com.yunzhi.shigongli.entity;

import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.IdType;
import java.time.LocalDateTime;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 民宿账户
 * </p>
 *
 * @author yansen
 * @since 2021-08-17
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value="TaHotelAccount对象", description="民宿账户")
public class TaHotelAccount implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "账户ID")
    @TableId(value = "account_id", type = IdType.UUID)
    private String accountId;

    @ApiModelProperty(value = "民宿ID")
    private String hotelId;

    @ApiModelProperty(value = "总金额;单位分")
    private Integer amounts;

    @ApiModelProperty(value = "佣金;单位分")
    private Integer brokerageCharges;

    @ApiModelProperty(value = "已结佣金;单位分")
    private Integer paidCharges;

    private LocalDateTime createDate;

}
