package com.yunzhi.shigongli.entity;

import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 订单抽成
 * </p>
 *
 * @author yansen
 * @since 2021-08-17
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value="TaOrderCommission对象", description="订单抽成")
public class TaOrderCommission implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "抽成ID")
    @TableId(value = "commission_id", type = IdType.AUTO)
    private Integer commissionId;

    @ApiModelProperty(value = "主订单")
    private String orderId;

    @ApiModelProperty(value = "子订单")
    private String subOrderId;

    @ApiModelProperty(value = "抽成类型")
    private String commissionType;

    @ApiModelProperty(value = "抽成比例;单位千分之一")
    private Integer commissionRate;

    @ApiModelProperty(value = "抽成金额;单位分")
    private Integer charge;

    @ApiModelProperty(value = "时间")
    private LocalDateTime createDate;


}
