package com.yunzhi.shigongli.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import java.time.LocalDateTime;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 用户推广人
 * </p>
 *
 * @author yansen
 * @since 2021-08-17
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value="TaPersonRecommender对象", description="用户推广人")
public class TaPersonRecommender implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "流水ID")
    @TableId(value = "recommend_id", type = IdType.AUTO)
    private Integer recommendId;

    @ApiModelProperty(value = "人员ID")
    private String personId;

    @ApiModelProperty(value = "来源类型")
    private String fromType;

    @ApiModelProperty(value = "推荐人")
    private String recommender;

    @ApiModelProperty(value = "推荐时间")
    private LocalDateTime createDate;

    @ApiModelProperty(value = "失效日期")
    private LocalDateTime expireDate;

    @ApiModelProperty(value = "当前状态")
    private Integer status;


}
