package com.yunzhi.shigongli.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import java.time.LocalDateTime;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 房源
 * </p>
 *
 * @author yansen
 * @since 2021-08-17
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value="TaRoom对象", description="房源")
public class TaRoom implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "房源ID")
    @TableId(value = "room_id", type = IdType.UUID)
    private String roomId;

    @ApiModelProperty(value = "房源名称")
    private String roomName;

    @ApiModelProperty(value = "民宿ID")
    private String hotelId;

    @ApiModelProperty(value = "主图")
    private String poster;

    @ApiModelProperty(value = "定位")
    private String location;

    @ApiModelProperty(value = "地址")
    private String address;

    @ApiModelProperty(value = "停车场定位")
    private String parkingLocation;

    @ApiModelProperty(value = "停车场位置")
    private String parkingAddress;

    @ApiModelProperty(value = "WIFI名称")
    private String wifiName;

    @ApiModelProperty(value = "WIFI密码")
    private String wifiPassword;

    @ApiModelProperty(value = "权重")
    private Integer weight;

    @ApiModelProperty(value = "状态")
    private Integer status;

    @ApiModelProperty(value = "创建时间")
    private LocalDateTime createDate;


}
