package com.yunzhi.shigongli.entity;

import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.IdType;
import java.time.LocalDateTime;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 商铺
 * </p>
 *
 * @author yansen
 * @since 2021-08-17
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value="TaShop对象", description="商铺")
public class TaShop implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "商铺ID")
    @TableId(value = "shop_id", type = IdType.UUID)
    private String shopId;

    @ApiModelProperty(value = "商铺名称")
    private String shopName;

    @ApiModelProperty(value = "logo")
    private String logo;

    @ApiModelProperty(value = "所属区")
    private String cityId;

    @ApiModelProperty(value = "定位")
    private String locaton;

    @ApiModelProperty(value = "地址")
    private String address;

    @ApiModelProperty(value = "人均消费")
    private BigDecimal averagePrice;

    @ApiModelProperty(value = "营业时间")
    private String businessHours;

    @ApiModelProperty(value = "口味评分")
    private BigDecimal sweetScore;

    @ApiModelProperty(value = "环境评分")
    private BigDecimal environmentScore;

    @ApiModelProperty(value = "服务评分")
    private BigDecimal serviceScore;

    @ApiModelProperty(value = "点赞数")
    private Integer likeNum;

    @ApiModelProperty(value = "浏览量")
    private Integer pvNum;

    @ApiModelProperty(value = "用户数")
    private Integer uvNum;

    @ApiModelProperty(value = "状态")
    private Integer status;

    @ApiModelProperty(value = "创建时间")
    private LocalDateTime createDate;


}
