package com.yunzhi.shigongli.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.yunzhi.shigongli.entity.TaExtendContent;
import com.yunzhi.shigongli.mapper.TaExtendContentMapper;
import com.yunzhi.shigongli.service.ITaExtendContentService;

import org.springframework.stereotype.Service;

/**
 * <p>
 * 扩展内容 服务实现类
 * </p>
 *
 * @author yansen
 * @since 2021-08-17
 */
@Service
public class TaExtendContentServiceImpl extends BaseServiceImpl<TaExtendContentMapper, TaExtendContent> implements ITaExtendContentService {

    @Override
    public int getMaxSort(TaExtendContent taExtendContent) {
        LambdaQueryWrapper<TaExtendContent> queryWrapper = new LambdaQueryWrapper<>();
        queryWrapper.eq(TaExtendContent::getTargetType, taExtendContent.getTargetType());
        queryWrapper.eq(TaExtendContent::getTargetId, taExtendContent.getTargetId());
        queryWrapper.orderByDesc(TaExtendContent::getSort);
        queryWrapper.last("limit 1");

        TaExtendContent extendContent = getOne(queryWrapper);

        return null == extendContent ? 0 : extendContent.getSort();
    }
}
